Creates new firmware
POSThttps://apis.<domain>/iot/firmwares
Creates a new firmware model configuration
Authorization Action:
core:firmwares:create
Request
- application/json
Bodyrequired
model_idstringrequired
namestringrequired
Possible values: <= 1024 characters
architecturestringrequired
descriptionstring
metadataobject
tagsstring[]
Responses
- 201
- 400
- 401
- 403
- 409
- 415
- 500
Firmware created
Response Headers
Failed due to malformed JSON
Missing or invalid access token provided
User not authorized to create firmware
Firmware with provided ID already exists
Missing or invalid content type
Unexpected server-side error occurred
Authorization: http
name: bearerAuthtype: httpscheme: bearerdescription: * Users access: `Authorization: Bearer <user_token>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://apis.<domain>/iot/firmwares");
request.Headers.Add("Authorization", "Bearer <token>");
var content = new StringContent("{\n \"model_id\": \"string\",\n \"name\": \"string\",\n \"architecture\": \"string\",\n \"description\": \"string\",\n \"metadata\": {},\n \"tags\": [\n \"string\"\n ]\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());